---

hap_packages:
  - haproxy

hap_config: /etc/haproxy/haproxy.cfg

hap_config_global: |2
  log /dev/log    local0 warning
  log /dev/log    local1 warning
  chroot /var/lib/haproxy
  stats socket /run/haproxy/admin.sock mode 664 level admin
  stats timeout 30s
  user haproxy
  group haproxy
  daemon

hap_config_defaults: |2
  log global
  mode tcp
  balance leastconn
  retries 2
  timeout tunnel 30m
  timeout client 30m
  timeout connect 5s
  timeout server 30m
  timeout check 15s
  option tcplog
  option tcpka
  option clitcpka
  option srvtcpka

hap_stats_enabled: false
hap_config_stats: |2
  bind :9000
  mode http
  stats enable
  stats uri /
  stats auth admin:password

hap_config_listen:
  - name: pgsql-primary
    content: |2
        bind :54321
        default-server inter 2s fall 3 rise 2 on-marked-down shutdown-sessions
        option tcp-check
        tcp-check expect string primary
        maxconn 500
        server {{ groups['postgres'][0] }} {{ hostvars[groups['postgres'][0]]['ansible_default_ipv4']['address'] }}:5432 maxconn 500 check port 8543
        server {{ groups['postgres'][1] }} {{ hostvars[groups['postgres'][1]]['ansible_default_ipv4']['address'] }}:5432 maxconn 500 check port 8543 backup
# hap_config_listen: []

...
